package com.hrsk.cloud.eg.clinet.dto.data.user.command;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信贷经理寿险保单情况表
 * </p>
 *
 * @author zhangyy
 * @since 2019-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserAssetInsuranceInfoCmd implements Serializable {


    private Integer id;

    private Long userId;

    /**
     * 寿险保单情况 1.未投寿险 2.投保6个月以上 3.投保6-12个月 4.投保1-3年 5.投保3-5年 6.投保5-10年 7.投保10年以上 8.有(时间未知)
     * */
    private Integer insuranceType;

    /**
     *  投保公司	1：安邦保险 2：中国平安 3：前海人寿 4：中国人寿 5：太平洋保险 6：泰康人寿 7：新华保险 8：阳光保险 9：招商保险 10：中国太平 11：其他
     * */
    private Integer insureCompany;

    /**
     *  保单估价 1.1万以下 2.1万-5万 3.5万-20万 4.20万-100万 5.100万以上
     * */
    private Integer appeasement;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;


}
