package com.hrsk.cloud.eg.domain.api;

import com.google.common.collect.Lists;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author: bianlanzhou
 * @create: 2024-07-30 11:40
 * @description: 函数参数
 **/
@Data
@Accessors(chain = true)
public class FunctionParam {
    /**
     * 入参
     */
    private Object input;
    /**
     * 额外参数
     */
    private List<Object> extArg = Lists.newArrayList();
}
