package com.hrsk.cloud.eg.domain.api.common;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 17:38
 * @description: api payload 类型枚举
 **/
@Getter
public enum ApiPayloadTypeEnum {
    APPLICATION_JSON("application/json"),
    APPLICATION_X_WWW_FORM_URLENCODED("application/x-www-form-urlencoded; charset=UTF-8");

    /**
     * 编码
     * -- GETTER --
     *  获取编码
     *
     * @return 编码

     */
    private final String code;

    /**
     * 构造函数
     * @param code 编码
     */
    ApiPayloadTypeEnum(String code) {
        this.code = code;
    }

}
