package com.hrsk.cloud.eg.domain.api.common;

import lombok.Getter;
/**
 * @author: bianlanzhou
 * @create: 2024-07-27 09:46
 * @description: API类型枚举
 **/
@Getter
public enum ApiTypeEnums {

    HTTP("http","http类型"),
    HTTPS("https","https类型");
    ;
    /**
     * 类型
     */
    private final String type;
    /**
     * 描述
     */
    private final String description;

    /**
     * 构造函数
     * @param type 类型
     * @param description 描述
     */
    ApiTypeEnums(String type, String description) {
        this.type = type;
        this.description = description;
    }
}
