package com.hrsk.cloud.eg.domain.api.common;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-07-31 15:06
 * @description: 值对象类型枚举
 **/
public enum ValueObjectTypeEnum {
    SPEL("spel","spel类型"),
    BASIC("basic","");
    /**
     * 类型
     */
    @Getter
    private final String type;
    /**
     * 描述
     */
    @Getter
    private final String memo;

    /**
     * 构造函数
     * @param type 类型
     * @param memo 描述
     */
    ValueObjectTypeEnum(String type, String memo) {
        this.type = type;
        this.memo = memo;
    }
}
