package com.hrsk.cloud.eg.domain.common.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum JoinMethodEnums {

    OPEN_API("1", "我方通用API"),
    BUSI_API("2", "合作方CRM"),
    CRM_EC("3", "三方CRM(ec)"),
    CRM_QY("4", "三方CRM(庆鱼)"),
    CRM_JD("5", "三方CRM(锦蝶)"),
    CRM_RXK("6", "三方CRM(融享客)"),
    CRM_XL("7", "三方CRM(鑫鹿)"),
    CRM_QY_V2("8", "三方CRM(庆鱼2.0)"),
    CRM_XKD("10", "三方CRM(享客达)"),
    HUIRONG_CRM("9", "惠融易客CRM"),
    CRM_QY_V3("11", "三方CRM(庆鱼3.0)"),
    CRM_JDV3("12", "三方CRM(锦蝶V3)"),
    OPEN_API_AES("13", "我方通用AES模式");


    private String code;
    private String message;

    static Map<String, JoinMethodEnums> map = new HashMap();

    static {
        for (JoinMethodEnums value : JoinMethodEnums.values()) {
            map.put(value.code, value);
        }
    }

    public static JoinMethodEnums getByCode(String code) {
        return map.get(code);
    }


}
