package com.hrsk.cloud.eg.domain.common.constant;

import java.util.HashMap;
import java.util.Map;
/**
 * @description:  对接平台枚举
 * @param:
 * @return:
 * @author zhangyy
 * @date: 2024/9/10 14:58
 */
public enum ServerCodeEnums {
        Default("dc", "对接我方贷超"),
        DefaultOne("dc_one", "对接我方贷超(只提供了1.3接口)"),
        Djd("djd", "大金贷"),
        Xdw("xdw", "寻单王"),
        DianTuDai("dianTuDai", "电兔贷"),
        Sj("sj", "商机"),
        TgXinDai("tgXinDai", "甜瓜信贷app"),
        DaLiQiangDan("daLiQiangDan", "大粒抢单"),
        KuanJie("kuanjie", "款姐"),
        NoApi("noApi", "无api对接产品"),
        Ruifeng("ruifeng", "瑞丰"),
        Huizhong("Huizhong", "惠众"),
        YinHua("YinHua", "银华咨询"),
        Huixin("Huixin", "汇鑫"),
        DongFangRZ("DongFangRZ", "东方融资网"),
        TuoBaoRong("TuoBaoRong", "拓宝荣"),
        Huizhong01("Huizhong01", "惠众助贷"),
        HengAi("HengAi", "恒爱致远"),
        YuKuaiHua("YuKuaiHua", "愉快花"),
        Rongxizi("Rongxizi", "荣西子"),
        RongSheng("RongSheng", "荣晟"),
        ChuanJin("ChuanJin", "川金"),
        YiJie("YiJie", "易借"),
        PingXun("PingXun", "平讯"),
        Qingyu("Qingyu", "庆鱼"),
        Jindie("Jindie", "锦蝶"),
        Rongkedai("Rongkedai", "融客贷"),
        Jiecheng("Jiecheng", "捷诚"),
        Xinkedai("Xinkedai", "欣客贷"),
        Yourong("Yourong", "有融"),
        HouCheng("HouCheng", "厚诚"),
        Hamigua("Hamigua", "哈密瓜"),

        Haohanwuyin("Haohanwuyin", "灏瀚无崟"),
        Gexinjinfu("Gexinjinfu", "格鑫金服"),
        Xuzhoufuli("Xuzhoufuli", "徐州富丽"),
        Kuaiyidai("Kuaiyidai", "快易贷"),
        KuaiyidaiNight("KuaiyidaiNight", "快易贷夜间"),
        KuaiyidaiFourToOne("KuaiyidaiFourToOne", "快易贷四选一"),
        KuaiyidaiV2("KuaiyidaiV2", "快易贷尾量"),
        Xinyidai("Xinyidai", "信易贷"),
        Fangxinwang("Fangxinwang", "放心网"),
        YiRong("YiRong", "壹融网"),

        XiangRong("XiangRong", "宁波享融网"),
        YiQiHua("YiQiHua", "一起花"),
        DaXiangHuaBei("DaXiangHuaBei", "大象花呗"),

        XveYiRong("XveYiRong","雪易融"),
        SiChuangRui("SiChuangRui","思创瑞"),
        //KuaiYiRong("KuaiYiRong","快易溶")
        JiNingHR("JiNingHR","济宁惠融"),
        HeZeRongXin("HeZeRongXin","菏泽融信"),
        WFangYy("WFangYy","潍坊优易"),
        ShanDongBangBangDai("ShanDongBangBangDai","山东帮帮代"),
        GuangDongHaoEn("GuangDongHaoEn","广东昊恩"),
        XiaMenYiJieZhuDai("XiaMenYiJieZhuDai","厦门易捷助代"),
        DeZhouXinYiRong("DeZhouXinYiRong","德州鑫易融"),
        ShenYangXinYiRong("ShenYangXinYiRong","沈阳信易融"),
        RunMei("RunMei","润美"),
        DeZhouXinYiRongV2("DeZhouXinYiRongV2","德州鑫易融V2"),
        KunMingXiaoSongShu("KunMingXiaoSongShu","昆明小松鼠"),
        NingBoTianCheng("NingBoTianCheng", "宁波天澄"),
        XuzhoufuliV2("XuzhoufuliV2", "徐州富丽V2"),
        ChongQingRuiShuangXin("ChongQingRuiShuangXin","重庆睿双鑫"),
        AnHuiHengDao("AnHuiHengDao","安徽恒道"),
        Suzhouchangshuo("Suzhouchangshuo", "苏州昌硕"),
        ShanXiHengSheng("ShanXiHengSheng","山西恒昇"),
        FuZhouBeiYinJinRong("FuZhouBeiYingJinRong","福州北银金融"),
        RongXiangDaChangSha("RongXiangDaChangSha","融享达长沙"),
        TianJingJiaYi("TianJingJiaYi","天津佳亿"),
        WuHanDongYuan("WuHanDongYuan","武汉东远"),
        KuaiYiRong("KuaiYiRong","快易融"),
        YuRongFu("YuRongFu","宇融服"),
        ZhongXinQiFu("ZhongXinQiFu","众鑫企服"),
        BeiJingChongHe("BeiJingChongHe","北京重和"),
        YangZhouWanKe("YangZhouWanKe","扬州万客"),
        XiaoMeiYiRong("XiaoMeiYiRong","小美易融"),
        HuNanDiShuiYan("HuNanDiShuiYan","湖南滴水岩"),
        HeFeiShenDai("HeFeiShenDai","合肥盛代"),
        YiRongWang("YiRongWang","忆融网"),
        WenZhouYueShangXiang("WenZhouYueShangXiang","温州悦尚祥"),
        TianShuiShuYiRong("TianShuiShuYiRong","天水速易融"),
        ZhaoZhuangXinYiRong("ZhaoZhuangXinYiRong","枣庄信易融"),
        GuanZhouPuHui("GuanZhouPuHui","广州普惠"),
        WenZhouGaoShen("WenZhouGaoShen","温州高升"),
        PingDingShan("PingDingShan","平顶山"),
        ChengHongHui("ChengHongHui","晨宏汇"),
        ShiYue("ShiYue","司跃"),
        YunHaiLianDong("YunHaiLianDong","云海联动"),
        YiLianRong("YiLianRong","易联融"),
        RongXiangKeV2("RongXiangKeV2","融享客V2"),
        SouYuJinFu("SouYuJinFu","授渔金服"),
        YiZhanShiShuZhiPingTai("YiZhanShiShuZhiPingTai","一站式数字平台"),
        MoGuTou("MoGuTou","蘑菇投"),
        ShangHaiJuHuiRongCreditService("ShangHaiJuHuiRongCreditService","上海聚汇融"),
        NanTongXingChengCreditService("NanTongXingChengCreditService","南通星辰"),
        XinJiangWanHeCreditService("XinJiangWanHeCreditService","新疆万合"),
        QingDaoBaiXinSHunTaiCreditService("QingDaoBaiXinSHunTaiCreditService","青岛佰信顺泰"),
        FuCheng("FuCheng","福程"),
        XingChi("XingChi","星驰"),
        ShenYangHengXin("ShenYangHengXin","沈阳恒信"),
        WuHanJingCheng("WuHanJingCheng","武汉锦城"),
        ChongQinDongRunCreditService("ChongQinDongRunCreditService","重庆东润"),
        JinDieV4CreditService("JinDieV4CreditService","锦蝶v4"),
        JianZhan100("JianZhan100","建站100"),
        ShangHaiHanGe("ShangHaiHanGe","上海晗各"),
        ShuRong("ShuRong","速融"),
        NiYouKe("NiYouKe","尼优客"),
        JinZhuLiCreditService("JinZhuLiCreditService","金助理"),
        YiBangDaiCreditService("YiBangDaiCreditService","壹帮贷"),
        DeLuoXuan("DeLuoXuan","德诺轩"),
        RongYiDa("RongYiDa","融易达"),
        LianKeYunKong("LianKeYunKong","链客云控"),
        DeLuoXuanAES("DeLuoXuanAES","德诺轩AES"),
        RongChuangJinFu("RongChuangJinFu","融创金服"),
        FuZhouBeiJiu("FuZhouBeiJiu","福州北久"),
        BaiYiJinFu("BaiYiJinFu","佰亿金服"),
        JiuXinKe("JiuXinKe","玖欣客"),
        RongXiangKeBuShu("RongXiangKeBuShu","融享客部署模式"),
        WeiFangHuaShenCreditService("WeiFangHuaShenCreditService","潍坊华盛"),
        HongXinPuHui("HongXinPuHui","弘鑫普惠"),
        ChengDuYiHeSheng("ChengDuYiHeSheng","成都亿禾生"),
        CangZhouSuYiRong("CangZhouSuYiRong","沧州速易融"),
        XinChuangYinHui("XinChuangYinHui","信创银辉"),
        SuZhouJianYiRong("SuZhouJianYiRong","苏州简易融"),
        QingDaoAoSen("QingDaoAoSen","青岛奥森"),
        ShenLuoJinFu("ShenLuoJinFu","盛略金服"),
        LeXiangRong("LeXiangRong","乐享融"),
        ThangSanRongYang("ThangSanRongYang","唐山融扬"),
        GuangZhouHuaXin("GuangZhouHuaXin","广州华鑫"),
        ShanXiMingDePuHui("ShanXiMingDePuHui","陕西明德普惠"),
        ChongQingYiYue("ChongQingYiYue","重庆易悦"),
        QingDaoAoSenV2("QingDaoAoSenV2","青岛奥森V2"),
        GuangDongHongZhan("GuangDongHongZhan","广东鸿展"),
        FeiLongKe("FeiLongKe","飞隆客"),
        HengYangJiuZhen("HengYangJiuZhen","衡阳玖臻"),
        XingZheChangZhi("XingZheChangZhi","行者常至"),
        HongShengJinFu("HongShengJinFu","弘盛金服"),
        JiangXiCheYouRong("JiangXiCheYouRong","江西车优融"),


        OPEN_API("1", "我方通用API"),
        BUSI_API("2", "合作方CRM"),
        CRM_EC("3", "三方CRM(ec)"),
        CRM_QY("4", "三方CRM(庆鱼)"),
        CRM_JD("5", "三方CRM(锦蝶)"),
        CRM_RXK("6", "三方CRM(融享客)"),
        CRM_XL("7", "三方CRM(鑫鹿)"),
        CRM_QY_V2("8", "三方CRM(庆鱼2.0)"),
        CRM_XKD("10", "三方CRM(享客达)"),
        HUIRONG_CRM("9", "惠融易客CRM"),
        CRM_QY_V3("11", "三方CRM(庆鱼3.0)"),
        CRM_JDV3("12", "三方CRM(锦蝶V3)"),
        NoCheck("NoCheck","不撞库通用"),
        OPEN_API_AES("13", "我方通用AES模式");
        ;

        public String code;
        public String msg;

        ServerCodeEnums(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }


        public static Map<String, ServerCodeEnums> map = new HashMap<>();

        static {
            for (ServerCodeEnums e : ServerCodeEnums.values()) {
                map.put(e.code, e);
            }
        }
    }