package com.hrsk.cloud.eg.domain.common.utils;

import com.google.gson.Gson;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 16:58
 * @description: Gson工具类
 **/
public class GsonUtils {
    /**
     * gson
     */
    public static final Gson GSON = new Gson();

    /**
     * 转换JSON
     * @return 实体
     * @param <T> 范型
     */
    public static  <T> T fromJson(String json,Class<T> classz){
        return GSON.fromJson(json,classz);
    }
}
