package com.hrsk.cloud.eg.infrastructure.config.client;

/**
 * Author: zhangyy
 * Date: 2019/3/20
 * Description:
 */
public class RetryRequestConfig {
    //http请求timeout时的重试次数
    int retryCount = 0;
    //http请求timeout，重试间隔时间，重试间隔时间=次数*100 ms.
    long retryIntervalTime = 0;
    //连接池连接数量
    int connectMaxTotal = 75;
    //连接超时时间
    int connectTimeout = 3000;
    // 数据读取超时时间，即SocketTimeout
    int readTimeout = 3000;
    // 连接不够用的等待时间，不宜过长，必须设置，比如连接不够用时，时间过长将是灾难性的
    int ConnectionRequestTimeout = 2000;

    public int getRetryCount() {
        return retryCount;
    }

    public void setRetryCount(int retryCount) {
        this.retryCount = retryCount;
    }

    public long getRetryIntervalTime() {
        return retryIntervalTime;
    }

    public void setRetryIntervalTime(long retryIntervalTime) {
        this.retryIntervalTime = retryIntervalTime;
    }

    public int getConnectMaxTotal() {
        return connectMaxTotal;
    }

    public void setConnectMaxTotal(int connectMaxTotal) {
        this.connectMaxTotal = connectMaxTotal;
    }

    public int getConnectTimeout() {
        return connectTimeout;
    }

    public void setConnectTimeout(int connectTimeout) {
        this.connectTimeout = connectTimeout;
    }

    public int getReadTimeout() {
        return readTimeout;
    }

    public void setReadTimeout(int readTimeout) {
        this.readTimeout = readTimeout;
    }

    public int getConnectionRequestTimeout() {
        return ConnectionRequestTimeout;
    }

    public void setConnectionRequestTimeout(int connectionRequestTimeout) {
        ConnectionRequestTimeout = connectionRequestTimeout;
    }
}
