package com.hrsk.cloud.eg.infrastructure.loanMannager.threedocking;

import com.hrsk.cloud.eg.clinet.dto.data.plan.command.EgLoanApiConfigInfoCmd;
import com.hrsk.cloud.eg.clinet.dto.data.plan.command.PlanCmd;
import com.hrsk.cloud.eg.clinet.dto.data.user.command.UserBaseInfoCmd;
import com.hrsk.cloud.eg.clinet.vo.DataVo;
import com.hrsk.cloud.eg.domain.common.constant.ServerCodeEnums;

/**
 * @author zhangyy
 * @version 1.0
 * @description: dockingApi 三方助贷对接
 * @date 2024/9/10 14:31
 */
public interface LoanDockingApi {

    /**
     * @description:  撞库接口
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/9/10 14:33
     */
    DataVo qualityCheck(UserBaseInfoCmd user, PlanCmd planDto, EgLoanApiConfigInfoCmd configInfoCmd);


    /**
     * @description: 对接类型
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/9/10 14:33
     */
    ServerCodeEnums getType();

}
