package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author: bianlanzhou
 * @create: 2024-08-02 08:14
 * @description: 接出网关API表
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("egress_api")
public class EgApiDo extends BaseDo implements Serializable  {
    /**
     * API名称
     */
    private String apiName;

    /**
     * API类型
     */
    private String apiType;

    /**
     * APICode
     */
    private String apiCode;

    /**
     *技术负责人
     */
    private String techOwnerUsername;

    private String techOwnerUserid;
    /**
     * 运维负责人不能为空
     */
    private String busiOwnerUsername;

    private String busiOwnerUserid;

    /**
     * 备注
     */
    private String memo;

}
