package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 接出助贷api的详细描述
 * 
 * @author zhangyy
 * @email @gmail.com
 * @date 2024-09-23 11:07:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("egress_api_loan")
public class EgApiLoanExtendDo  extends  BaseDo implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * eg_api主键
	 */
	private Long apiId;

	/**
	 * 是否需要撞库0：不需要；1：需要
	 */
	private Integer checkInto;
	/**
	 * 集成系统
	 */
	private String integrationSystem;

	/**
	 * 商户ID
	 */
	private Long merchantId;


}
