package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zhangyy
 * @version 1.0
 * @description: EgApiConfigInfoDo api配置信息类 综合实体
 * @date 2024/10/21 11:21
 */
@Data
public class EgLoanApiConfigInfoDo implements Serializable {
    /**
     * API名称
     */
    private String apiName;

    /**
     * API类型
     */
    private String apiType;

    /**
     * 数据API主键
     */
    private Long apiId;
    /**
     * 通道类型
     */
    private String apiCode;

    /**
     * 请求配置 对应原始数据表中的 threeConfig
     */
    private byte[] requestConfig;

    /**
     * 是否需要撞库0：不需要；1：需要
     */
    private Integer needCheck;

    /**
     * api 介入类型代码自定义 还是引导配置
     */
    private String integrationMode;
}
