package com.hrsk.cloud.eg.infrastructure.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hrsk.cloud.eg.infrastructure.repository.database.entity.ProductBusinessApiInfoDo;

import java.util.List;

/**
 * 商户对接配置信息表业务层
 *
 * @author Mybatis Plus Generator
 * @date 2023.05.09 10:11
 */
public interface ProductBusinessApiInfoService extends IService<ProductBusinessApiInfoDo> {

    /**
     * 查询对应的 jointCode 大类对接方式
     *
     * @param apiCode
     * @return
     */
  List<ProductBusinessApiInfoDo>  selectByJointCodeForList(String apiCode);

    /**
     * @description:  根据对接方式来查询
     * @author zhangyy
     * @date 2024/9/9 10:39
     * @version 1.0
     */
    List<ProductBusinessApiInfoDo> selectByJointJonintTypeForList(String huizhong);

    /**
     * 缓存对应的api对接数据
     * @param apiId
     * @return
     */
    ProductBusinessApiInfoDo getApiInfoByRedis(Integer apiId);

    /**
     * @description:  查询api集合
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/9/13 10:23
     */
    List<ProductBusinessApiInfoDo> apiList();


}

