package com.hrsk.cloud.eg.infrastructure.utils;

import lombok.extern.slf4j.Slf4j;
import java.security.MessageDigest;


/**
 * @author zhangyy
 * @version 1.0
 * @description: Md5Util
 * @date 2024/9/10 15:13
 */
@Slf4j
public class Md5Util {

    /**
     * 直接计算MD5
     * @param buf
     * @return
     */
    public static String encoderByMd5(String buf) {
        try {
            MessageDigest digist = MessageDigest.getInstance("MD5");
            byte[] rs = digist.digest(buf.getBytes("utf-8"));
            StringBuffer digestHexStr = new StringBuffer();
            for (int i = 0; i < 16; i++) {
                digestHexStr.append(byteHEX(rs[i]));
            }
            return digestHexStr.toString();
        } catch (Exception e) {
            log.error("encoderByMd5", e);
        }
        return null;
    }

    private static String byteHEX(byte ib) {
        char[] Digit = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9','a', 'b', 'c', 'd', 'e', 'f'};
        char[] ob = new char[2];
        ob[0] = Digit[(ib >>> 4) & 0X0F];
        ob[1] = Digit[ib & 0X0F];
        String s = new String(ob);
        return s;
    }
}
