package com.hrsk.cloud.eg.infrastructure.utils;

import org.apache.commons.lang3.StringUtils;

/**
 * @Descrption
 * @Author: chend
 * @Date: 2023/4/7
 * @Version V1.0
 **/
public class UserUtils {

    public static String getUserName(String realName,String sex){
        if(StringUtils.isBlank(realName) || StringUtils.isBlank(sex)){
            return realName;
        }
        String firstName=realName.substring(0, 1);
        if(realName.startsWith("诸葛")||
                realName.startsWith("上官")||
                realName.startsWith("欧阳")||
                realName.startsWith("东方")||
                realName.startsWith("公孙")||
                realName.startsWith("司马")){
            firstName=realName.substring(0, 2);
        }
        return "男".equals(sex)? firstName + "先生":firstName + "女士";
    }

}
