/* 本地模式，h2数据库表结构初始化脚本**/
SET NAMES utf8 ;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
SET FOREIGN_KEY_CHECKS=0;

/** 样例原型表 **/
DROP TABLE IF EXISTS `tb_archetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tb_archetype` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `status` varchar(20) NOT NULL COMMENT '状态：created=已创建，deleted=已删除。',
    `create_userid` varchar(100) DEFAULT NULL COMMENT '创建人',
    `create_username` varchar(100) DEFAULT NULL COMMENT '创建用户名',
    `modify_userid` varchar(100) DEFAULT NULL COMMENT '修改人ID',
    `modify_username` varchar(100) DEFAULT NULL COMMENT '修改人名称',
    `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='原型表';