package adapter.api.controller;

import com.hrsk.cloud.eg.app.api.ApiGatewayService;
import com.hrsk.cloud.eg.clinet.dto.data.command.ApiInvokeParamCmd;
import com.hrsk.pangu.dto.SingleResponse;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author zhangyy
 * @version 1.0
 * @description: ApiController
 * @date 2024/11/6 13:47
 */
@RestController
@RequestMapping("/api/eg")
public class ApiController {

    @Resource
     private ApiGatewayService apiGatewayService;
    /**
     * @description:  接口
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/8/30 14:34
     */
    @RequestMapping("/loans/v1")
    public SingleResponse loans(ApiInvokeParamCmd apiInvokeParamCmd) {
        return SingleResponse.of(apiGatewayService.invoke(apiInvokeParamCmd));
    }
}
