package com.hrsk.cloud.eg.app.loan.executor;

import com.hrsk.cloud.eg.app.api.ApiGatewayService;
import com.hrsk.cloud.eg.clinet.dto.data.command.ApiInvokeParamCmd;
import com.hrsk.pangu.dto.SingleResponse;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author zhangyy
 * @version 1.0
 * @description: CheckIntoCmdExe
 * @date 2024/11/6 14:18
 */
@Component
public class ApiInvokeCmdExe {

    @Resource
    private ApiGatewayService apiGatewayService;

    /** 
     * @description: 执行api请求
     * @param:  
     * @return:  
     * @author zhangyy
     * @date: 2024/11/6 15:46
     */ 
    public SingleResponse execute(ApiInvokeParamCmd apiInvokeParamCmd){
      return   apiGatewayService.invoke(apiInvokeParamCmd);
    }
}
