package com.hrsk.cloud.eg.app.loan.executor.common;

import com.hrsk.cloud.eg.domain.common.constant.egress.EgApiTypeEnum;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

import com.hrsk.cloud.eg.clinet.dto.data.common.LocalEnumDTO;
/**
 * @author zhangyy
 * @version 1.0
 * @description: CommonService 公共信息操作类
 * @date 2024/9/24 11:48
 */
@Component
public class CommonCmdExe {

    /**
     * @description:  获取本地枚举返回给前端
     * @author zhangyy
     * @date 2024/9/24 11:56
     * @version 1.0
     */
    public List<LocalEnumDTO> getLocalEnumList() {
        List<LocalEnumDTO> localEnumDtoList = new ArrayList<>();
        EgApiTypeEnum[] values = EgApiTypeEnum.values();
        LocalEnumDTO localEnumDto=null;
        for (int i = 0; i < values.length; i++) {
            localEnumDto = new LocalEnumDTO();
            localEnumDto.setCode(values[i].getCode());
            localEnumDto.setMsg(values[i].getMsg());
            localEnumDtoList.add(localEnumDto);
        }
        return localEnumDtoList;
    }
}
