package com.hrsk.cloud.eg.clinet.constant;

/**
 * @description: BusinessPrefixEnum 
 * @author zhangyy
 * @date 2024/8/28 14:48
 * @version 1.0
 */
public enum BusinessPrefixEnum {
    CHECK_INTO_PREFIX("CHECK_INTO","撞库API前缀"),
    APPLY_PREFIX("APPLY","进件API前缀")

    ;
    private String code;
    private String msg;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    BusinessPrefixEnum (String code,String msg) {
        this.code = code;
        this.msg = msg;
    }

    /** 
     * @description: 获取code
     * @param:  
     * @return:
     * @author zhangyy
     * @date: 2024/8/28 14:51
     */ 
    public static BusinessPrefixEnum getByCode(String code) {
        for (BusinessPrefixEnum dataStatus : values()) {
            if (dataStatus.getCode().equals(code)) {
                return dataStatus;
            }
        }
        return null;
    }

    /** 
     * @description: 获取信息 
     * @param:  
     * @return:  
     * @author zhangyy
     * @date: 2024/8/28 14:51
     */ 
    public static String getByMsg(String code) {
        for (BusinessPrefixEnum prefixEnum : values()) {
            if (prefixEnum.getCode().equals(code)) {
                return prefixEnum.getMsg();
            }
        }
        return null;
    }

}
