package com.hrsk.cloud.eg.clinet.dto.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @author zhangyy
 * @version 1.0
 * @description: EgApiConfigInfoDo api配置信息类 综合实体
 * @date 2024/10/21 11:21
 */
@Data
public class EgLoanApiConfigInfoDto implements Serializable {
    /**
     * API名称
     */
    private String apiName;

    /**
     * API类型
     */
    private String apiType;

    /**
     * 数据API主键
     */
    private Long apiId;
    /**
     * 通道类型
     */
    private String apiCode;

    /**
     * 请求配置 对应原始数据表中的 threeConfig
     */
    private byte[] requestConfig;

    private byte[] apiConfig;

    /**
     * 是否需要撞库0：不需要；1：需要
     */
    private Integer needCheck;
}
