package com.hrsk.cloud.eg.clinet.dto.data.command;

import com.hrsk.cloud.eg.clinet.dto.data.plan.command.EgLoanApiConfigInfoCmd;
import com.hrsk.cloud.eg.clinet.dto.data.plan.command.PlanCmd;
import com.hrsk.cloud.eg.clinet.dto.data.user.command.UserBaseInfoCmd;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zhangyy
 * @version 1.0
 * @description: CheckIntoParamDto
 * @date 2024/8/30 09:52
 */
@Data
public class LoanParamCmd implements Serializable {
    /**
     * 用户信息
     * */
    private UserBaseInfoCmd user;
    /**
     * 推广计划信息
     * */
    private PlanCmd plan;

    /**
     * api信息配置
     */
    private EgLoanApiConfigInfoCmd apiConfigInfo;
}
