package com.hrsk.cloud.eg.clinet.dto.data.user.command;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信贷经理车产情况表
 * </p>
 *
 * @author zhangyy
 * @since 2019-09-29
 */
@Data
public class UserAssetCarInfoCmd implements Serializable {


    private Integer id;

    private Long userId;

    /**
     * 车产情况 1.无车产 2.有车可抵押 3. 有车不抵押
     */
    private Integer carType;

    /**
     * 估值 1.5万及以下 2.10万 3.15万 4.20万 5.30万 6.50万 7.80万及以上
     */
    private Integer appeasement;

    /**
     * 是否接受抵押 1. 不接受抵押 2. 可以抵押
     */
    private Integer spawn;


    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    /**
     * 车牌号
     */
    private Integer vehiclePurchasePrice;


}
