package com.hrsk.cloud.eg.clinet.dto.data.user.command;

import lombok.Data;

import java.io.Serializable;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 13:48
 * @description: User信息Dto
 **/
@Data
public class UserBaseInfoCmd implements Serializable {


    //(value = "公积金 4.缴纳不足3个月 1.连续缴纳超过3个月 2.连续缴纳超过6个月 3.连续缴纳超过1年 5.连续缴纳超过3年 6.连续缴纳超过5年 0.无本地公积金 7.有(时间未知)")
    private Integer accumulation;

    //(value = "社保 4.缴纳不足3个月 1.连续缴纳超过3个月 2.连续缴纳超过6个月 3.连续缴纳超过1年 5.连续缴纳超过3年 6.连续缴纳超过5年 0.无本地社保 7.有(时间未知)")
    private Integer socialSecurity;

    //(value = "信用卡 0无 1有且当前未逾期 2有且当前已逾期")
    private Integer creditCard;

    //(value = "注册渠道")
    private String channelCode;

    //(value = "芝麻分 1、550分以下   2、0-600分   3、600-650分 4、650-700分   5、700分及以上")
    private Integer sesame;
    private Long userId;
    //(value="手机号")
    private String userMobile;

    //(value="手机号")
    private String userMobileMD5;

    private String cityAllName;

    //(value="用户身份证号")
    private String idCardNo;
    //(value="用户中文名")
    private String realName;
    //(value = "用户登录ip")
    private String ip;
    //(value = "性别")
    private String policeSex;
    //(value = "生日")
    private String policeBirthBate;
    //(value = "年龄(不一定有值)")
    private Integer age;
    //(value = "城市")
    private String companyCity;

    private String cityCode;

    private Integer profession;

    private Integer creditLimit;

    private String requestId;

    private UserAssetCarInfoCmd carInfo;

    private UserAssetHouseInfoCmd houseInfo;

    private UserAssetInsuranceInfoCmd insuranceInfo;

    //("电商主")
    private UserProfessionBusinessOwnerCmd businessOwner;

    //("上班族信息")
    private UserProfessionOfficeWorkersCmd officeWorkers;

    //("企业主")
    private UserProfessionEcommerceOwnersCmd ecommerceOwners;

    //("个体户")
    private UserProfessionSelfEmployedCmd selfEmployed;

    //("除企业主和个体户统一使用月收入")
    private Integer moneyIncome;

    private Integer educationCode;

    private Integer salaryType;

    private Integer overdue;

    private Integer runPlatform;

    private String osType;

    private String companyProvice;

    private String contactWechat;

    private String addressCityCode;

    private String addressProvinceCode;

    private Integer merchantType;

    private String activeChannelCode;

    // 锁
    private Integer lock = null;

}
