package com.hrsk.cloud.eg.clinet.dto.data.user.command;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信贷经理职业-电商主信息表
 * </p>
 *
 * @author zhangyy
 * @since 2019-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserProfessionEcommerceOwnersCmd implements Serializable {


    private Integer id;

    private Long userId;

    /**
     *  "入驻平台 1.京东 " +
     *             "2.淘宝 3.天猫 4.当当 5.eBay 6.amazon 7.其他"
     *
     */
    private Integer ecommercePlatform;

    /**
     *  "月度营业额 " +
     *             "1.1万以下 2.1万-5万 3.5万-20万 4.20万-100万 5.100万以上"
     *
     */
    private Integer turnover;

    /**
     *  "经营年限 " +
     *             "1.6个月以内 2.6-12月 3.1-3年 4.3-5年 5.5年以上"
     *
     */
    private Integer workingLimit;

    /**
     *  "是否有营业执照" +
     *             " 1.没办理 2.已办理，注册1年以内" +
     *             " 3.已办理，注册满1年 4.已办理，注册满2年 5.已办理，注册满3年 6.已办理，注册满4年" +
     *             " 7.已办理，注册满5年以上"
     *
     */
    private Integer businessLicense;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;


}
