package com.hrsk.cloud.eg.clinet.dto.data.user.command;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信贷经理职业-上班族信息表
 * </p>
 *
 * @author zhangyy
 * @since 2019-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserProfessionOfficeWorkersCmd implements Serializable {


    private Integer id;

    private Long userId;

    /**
     *  "公司类型 " +
     *             "1.民营企业 2.国企单位 3.事业单位 4.公务员 5.外企 6.其他"
     * */
    private Integer companyType;

    /**
     *  "公司名称"
     * */
    private String companyName;

    /**
     *  " "月收入 " +
     *             "1.1000以下 2.1000-3000" +
     *             "  3.3000-5000  4.5000-8000 " +
     *             " 5.8000-1.2万  6.1.2万-2万  7.2万-5万  8.5万-10万  9.10万以上""
     * */
    private Integer monthlyIncome;

    /**
     *  工资支付方式 1.银行代发 2.转账工资 3.现金发放"
     * */
    private Integer salaryPayment;

    /**
     *  "工作年限 " +
     *             "1.6个月以内  2.6-12月  3.1-3年  4.3-5年  5.5年以上"
     * */
    private Integer workingLimit;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;


}
