package com.hrsk.cloud.eg.domain.api;

import com.hrsk.cloud.eg.dto.data.CheckIntoParamDto;
import com.hrsk.cloud.eg.vo.response.DataVo;
import com.hrsk.cloud.eg.vo.response.DefaultResponseVo;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 18:14
 * @description: API防腐层
 **/
public interface ApiGateway {

    /**
     * @description:  撞库请求
     * @author zhangyy
     * @date 2024/8/30 14:11
     * @version 1.0
     */
    DefaultResponseVo<DataVo> checkIntoRequest (CheckIntoParamDto param);
}
