package com.hrsk.cloud.eg.domain.api.common;

import com.google.common.collect.Lists;
import lombok.Getter;

import java.util.List;

/**
 * @author zhangyy
 * @version 1.0
 * @description: ThreeplatfromResultCodeEnum 对接api或者平台 成功的返回值用来
 * @date 2024/9/5 13:52
 */
@Getter
public enum ThreeplatfromResultStringEnum {
    ONE("0000",""),

;
    private String code;
    private String msg;

    ThreeplatfromResultStringEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ThreeplatfromResultStringEnum getByCode(String code) {
        for (ThreeplatfromResultStringEnum result : ThreeplatfromResultStringEnum.values()) {
            if (result.getCode().equals(code)) {
                return result;
            }
        }
        return null;
    }

    public static List<String> getList() {
        List<String> result = Lists.newArrayList();
        for (ThreeplatfromResultStringEnum code : ThreeplatfromResultStringEnum.values()) {
            result.add(code.getCode());
        }
        return result;
    }
}
