package com.hrsk.cloud.eg.domain.common.constant.egress;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-11-04 10:43
 * @description: 通道接出方式
 **/
@Getter
public enum EgressApiEndpointIntegrationModeEnum {
    CUSTOMIZE("customize","自定义代码模式"),
    GUIDE("guide","向导模式");
    /**
     * 编码
     */
    private String code;
    /**
     * 描述
     */
    private String desc;

    /**
     * 构造函数
     * @param code
     * @param desc
     */
    EgressApiEndpointIntegrationModeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
