package com.hrsk.cloud.eg.domain.common.constant.egress;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-10-22 10:49
 * @description: 接出API状态枚举
 **/
@Getter
public enum EgressApiStatusEnum {
    DRAFT("draft","草稿"),
    OK("ok","启用"),
    DEACTIVATE("deactivate","停用"),
    DELETE("delete","删除");
    /**
     * 编码
     */
    private String code;
    /**
     * 描述
     */
    private String desc;

    /**
     * 构造函数
     * @param code 编码
     * @param desc 描述
     */
    EgressApiStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
