package com.hrsk.cloud.eg.infrastructure.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hrsk.cloud.eg.infrastructure.repository.database.entity.EgApiDo;
import com.hrsk.cloud.eg.infrastructure.repository.database.entity.EgLoanApiConfigInfoDo;
import com.mysql.cj.log.Log;

/**
 * @author zhangyy
 * @version 1.0
 * @description: EgApiService
 * @date 2024/8/28 10:59
 */
public interface EgApiService extends IService<EgApiDo> {

    /** 
     * @description: 查询助贷对接的api配置
     * @param:  
     * @return:  
     * @author zhangyy
     * @date: 2024/10/21 11:25
     */ 
   EgLoanApiConfigInfoDo getLoanApiConfigInfo(Integer apiId);

   /** 
    * @description: 设置双写缓存
    * @param:
    * @return:
    * @author zhangyy
    * @date: 2024/10/21 12:40
    */ 
    EgLoanApiConfigInfoDo getApiInfoByRedis(Integer apiId);

}
