CREATE TABLE `eg_api` (
                          `id` bigint(64) NOT NULL COMMENT 'id',
                          `create_uid` varchar(64) DEFAULT NULL COMMENT '创建人id',
                          `create_username` varchar(64) DEFAULT NULL COMMENT '创建人',
                          `gmt_create` datetime DEFAULT NULL COMMENT '创建时间',
                          `modify_uid` varchar(32) DEFAULT NULL COMMENT '更新人',
                          `modify_username` varchar(64) DEFAULT NULL COMMENT '修改人',
                          `gmt_modify` datetime DEFAULT NULL COMMENT '修改时间',
                          `status` varchar(10) DEFAULT NULL COMMENT '有效（Y 有效 N 无效）',
                          `api_code` varchar(64) DEFAULT NULL COMMENT '业务编码',
                          `api_name` varchar(64) DEFAULT NULL COMMENT '名称',
                          `api_type` varchar(20) DEFAULT NULL COMMENT '类型',
                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='api信息表';

CREATE TABLE `eg_api_endpoint` (
                                   `id` bigint(64) NOT NULL,
                                   `create_uid` varchar(64) DEFAULT NULL COMMENT '乐观锁',
                                   `create_username` varchar(64) DEFAULT NULL COMMENT '创建人',
                                   `gmt_create` datetime DEFAULT NULL COMMENT '创建时间',
                                   `modify_uid` varchar(64) DEFAULT NULL COMMENT '更新人',
                                   `modify_username` varchar(64) DEFAULT NULL COMMENT '更新时间',
                                   `status` varchar(32) DEFAULT NULL COMMENT '有效（Y 有效 N 无效）',
                                   `api_config` blob COMMENT '配置',
                                   `api_code` varchar(32) DEFAULT NULL COMMENT 'code配置',
                                   `desc` varchar(255) DEFAULT NULL COMMENT '描述',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='api通道表';